summary refs log tree commit diff
path: root/install-pkg
diff options
context:
space:
mode:
authorLeah Neukirchen <leah@vuxu.org>2020-01-27 14:42:06 +0100
committerLeah Neukirchen <leah@vuxu.org>2020-01-27 14:42:06 +0100
commit6dee0885b727f7f8da484ce5eda5599024a671de (patch)
tree733c7d67759ed43541cf5bac917fb27d7e62a261 /install-pkg
downloadmewix-6dee0885b727f7f8da484ce5eda5599024a671de.tar.gz
mewix-6dee0885b727f7f8da484ce5eda5599024a671de.tar.xz
mewix-6dee0885b727f7f8da484ce5eda5599024a671de.zip
initial commit of mewix
Diffstat (limited to 'install-pkg')
-rwxr-xr-xinstall-pkg9
1 files changed, 9 insertions, 0 deletions
diff --git a/install-pkg b/install-pkg
new file mode 100755
index 0000000..2201c96
--- /dev/null
+++ b/install-pkg
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+for pkg; do
+  name=${pkg##*/}
+  name=${name%.tar.xz}
+  mkdir -p newroot/pkg/$(echo "$name" | sed 's:@:/:g')
+  tar xf $pkg -C newroot/pkg/$(echo "$name" | sed 's:@:/:g')
+done